<?php
namespace SabvgaPlugin;

use SabvgaPlugin\Widgets\Rdn_Slider;
use SabvgaPlugin\Widgets\Sabvga_Portfolio;
use SabvgaPlugin\Widgets\Sabvga_PortfolioMasonry;
use SabvgaPlugin\Widgets\Sabvga_PortfolioInfo;
use SabvgaPlugin\Widgets\Sabvga_Title;
use SabvgaPlugin\Widgets\Sabvga_PortfolioTitle;
use SabvgaPlugin\Widgets\Sabvga_PortfolioCategory;
use SabvgaPlugin\Widgets\Sabvga_Team;
use SabvgaPlugin\Widgets\Sabvga_TeamHover;
use SabvgaPlugin\Widgets\Sabvga_Testimonial;
use SabvgaPlugin\Widgets\Sabvga_TextIcon;
use SabvgaPlugin\Widgets\Sabvga_TextIconHover;
use SabvgaPlugin\Widgets\Sabvga_Post;
use SabvgaPlugin\Widgets\Sabvga_PostTwo;
use SabvgaPlugin\Widgets\Sabvga_PostThree;
use SabvgaPlugin\Widgets\Sabvga_PostFour;
use SabvgaPlugin\Widgets\Sabvga_PostSlider;
use SabvgaPlugin\Widgets\Sabvga_Menu;
use SabvgaPlugin\Widgets\Sabvga_Contact;
use SabvgaPlugin\Widgets\Sabvga_OtherPortfolio;
use SabvgaPlugin\Widgets\Sabvga_Gallery;
use SabvgaPlugin\Widgets\Sabvga_MasonGallery;
use SabvgaPlugin\Widgets\Sabvga_Logo;
use SabvgaPlugin\Widgets\Sabvga_Sidebar;
use SabvgaPlugin\Widgets\Sabvga_Share;


if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Main Plugin Class
 *
 * Register new elementor widget.
 *
 * @since 1.0.0
 */
class SabvgaPlugin {

	/**
	 * Constructor
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function __construct() {
		$this->add_actions();
	}

	/**
	 * Add Actions
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function add_actions() {
		//register all script 
		add_action( 'elementor/widgets/widgets_registered',[ $this, 'on_widgets_registered' ] );
		//isotope script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-isotope',SABVGA_URL .'widgets/js/isotope.pkgd.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-portfolio',SABVGA_URL .'widgets/js/portfolio.js', array('jquery'), null, true  );} );
		//blog masonry script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-blog-masonry',SABVGA_URL .'widgets/js/blog-mason.js', array('jquery'), null, true  );} );
		//slider script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-slick',SABVGA_URL .'widgets/js/slick.min.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-animation',SABVGA_URL .'widgets/js/slick-animation.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-slider-script',SABVGA_URL .'widgets/js/slider.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-blog-slider-script',SABVGA_URL .'widgets/js/blog-slider.js', array('jquery'), null, true  );} );
		//gallery popup
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('jquery-magnificpopup',SABVGA_URL .'widgets/js/jquery.magnific-popup.min.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-gallery-popup',SABVGA_URL .'widgets/js/popup-gallery.js', array('jquery'), null, true  );} );
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-blog-script',SABVGA_URL .'widgets/js/blog.js', array('jquery'), null, true  );} );
		
		//gallery  masonry
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-masonry-gallery',SABVGA_URL .'widgets/js/mason-gallery.js', array('jquery'), null, true  );} );
		
		//share script
		add_action( 'elementor/frontend/after_register_scripts', function() {  wp_register_script('sabvga-share',SABVGA_URL .'widgets/js/share.js', array('jquery'), null, true  );} );
		
	}

	/**
	 * On Widgets Registered
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 */
	public function on_widgets_registered() {
		$this->includes();
		$this->register_widget();
	}

	/**
	 * Includes
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function includes() {
		require __DIR__ . '/widgets/rdn-slider.php';
		require __DIR__ . '/widgets/portfolio.php';
		require __DIR__ . '/widgets/portfolio-masonry.php';
		require __DIR__ . '/widgets/portfolio-info.php';
		require __DIR__ . '/widgets/portfolio-title.php';
		require __DIR__ . '/widgets/portfolio-category.php';
		require __DIR__ . '/widgets/title.php';
		require __DIR__ . '/widgets/testimonial.php';
		require __DIR__ . '/widgets/team.php';
		require __DIR__ . '/widgets/team-hover.php';
		require __DIR__ . '/widgets/text-icon.php';
		require __DIR__ . '/widgets/text-icon-hover.php';
		require __DIR__ . '/widgets/post.php';
		require __DIR__ . '/widgets/post-two.php';
		require __DIR__ . '/widgets/post-three.php';
		require __DIR__ . '/widgets/post-four.php';
		require __DIR__ . '/widgets/post-slider.php';
		require __DIR__ . '/widgets/menu.php';
		require __DIR__ . '/widgets/contact.php';
		require __DIR__ . '/widgets/other-portfolio.php';
		require __DIR__ . '/widgets/gallery.php';
		require __DIR__ . '/widgets/mason-gallery.php';
		require __DIR__ . '/widgets/logo.php';
		require __DIR__ . '/widgets/sidebar.php';
		require __DIR__ . '/widgets/share.php';
		
	}
	

	/**
	 * Register Widget
	 *
	 * @since 1.0.0
	 *
	 * @access private
	 */
	private function register_widget() {
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Rdn_Slider() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Portfolio() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PortfolioMasonry() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PortfolioInfo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PortfolioTitle() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PortfolioCategory() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Title() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Team() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_TeamHover() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Testimonial() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_TextIcon() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_TextIconHover() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Post() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PostTwo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PostThree() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PostFour() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_PostSlider() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Menu() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Contact() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Gallery() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_MasonGallery() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_OtherPortfolio() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Logo() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Sidebar() );
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Sabvga_Share() );
		
	}
}

new SabvgaPlugin();



